pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Abdelnur (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (PIG-2373) publish POM has unnecessary dependencies
Date Tue, 15 Nov 2011 21:43:51 GMT
publish POM has unnecessary dependencies
----------------------------------------

                 Key: PIG-2373
                 URL: https://issues.apache.org/jira/browse/PIG-2373
             Project: Pig
          Issue Type: Bug
          Components: build
    Affects Versions: 0.9.0
            Reporter: Alejandro Abdelnur


The published POM has as execution dependencies (Maven compile scope) things like jetty, servlet,
jasper, junit, etc. Following the full report.

All those declared dependencies seem unnecessary and complicate things for downstream projects.

{code}
[INFO] +- org.apache.pig:pig:jar:0.9.0:compile
[INFO] |  +- commons-cli:commons-cli:jar:1.2:compile
[INFO] |  +- xmlenc:xmlenc:jar:0.52:compile
[INFO] |  +- commons-httpclient:commons-httpclient:jar:3.1:compile
[INFO] |  |  \- commons-logging:commons-logging:jar:1.1:compile (version managed from 1.0.4)
[INFO] |  |     \- log4j:log4j:jar:1.2.15:compile (version managed from 1.2.12)
[INFO] |  +- commons-codec:commons-codec:jar:1.3:compile
[INFO] |  +- commons-net:commons-net:jar:1.4.1:compile
[INFO] |  +- org.mortbay.jetty:jetty:jar:6.1.14:compile
[INFO] |  +- org.mortbay.jetty:jetty-util:jar:6.1.14:compile
[INFO] |  +- tomcat:jasper-runtime:jar:5.5.12:compile
[INFO] |  +- tomcat:jasper-compiler:jar:5.5.12:compile
[INFO] |  +- org.mortbay.jetty:jsp-api-2.1:jar:6.1.14:compile
[INFO] |  +- org.mortbay.jetty:jsp-2.1:jar:6.1.14:compile
[INFO] |  |  +- org.eclipse.jdt:core:jar:3.1.1:compile
[INFO] |  |  \- ant:ant:jar:1.6.5:compile
[INFO] |  +- commons-el:commons-el:jar:1.0:compile
[INFO] |  +- net.java.dev.jets3t:jets3t:jar:0.7.1:compile
[INFO] |  +- org.mortbay.jetty:servlet-api-2.5:jar:6.1.14:compile
[INFO] |  +- net.sf.kosmosfs:kfs:jar:0.3:compile
[INFO] |  +- junit:junit:jar:3.8.1:compile (version managed from 4.8.1)
[INFO] |  +- hsqldb:hsqldb:jar:1.8.0.7:compile (version managed from 1.8.0.10)
[INFO] |  +- oro:oro:jar:2.0.8:compile
[INFO] |  \- org.apache.hadoop:avro:jar:1.3.2:compile
[INFO] |     +- org.codehaus.jackson:jackson-mapper-asl:jar:1.4.2:compile
[INFO] |     |  \- org.codehaus.jackson:jackson-core-asl:jar:1.4.2:compile
[INFO] |     +- org.slf4j:slf4j-api:jar:1.5.11:compile
[INFO] |     +- com.thoughtworks.paranamer:paranamer:jar:2.2:compile
[INFO] |     +- com.thoughtworks.paranamer:paranamer-ant:jar:2.2:compile
[INFO] |     |  \- com.thoughtworks.paranamer:paranamer-generator:jar:2.2:compile
[INFO] |     |     +- com.thoughtworks.qdox:qdox:jar:1.10.1:compile
[INFO] |     |     \- asm:asm:jar:3.2:compile
[INFO] |     \- commons-lang:commons-lang:jar:2.4:compile (version managed from 2.5)
{code}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message